IndexMode (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.conf

## Class IndexMode

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.IndexMode

-     public class IndexMode
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Class` | `analyzerClass`
    `boolean` | `isAnalyzed`
    `boolean` | `isLiteral`
    `long` | `maxCompactionFlushMemoryInMb`
    `OnDiskIndexBuilder.Mode` | `mode`
    `static IndexMode` | `NOT_INDEXED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractAnalyzer` | `getAnalyzer(AbstractType<?> validator)`
    `static IndexMode` | `getMode(ColumnDefinition column, java.util.Map<java.lang.String,java.lang.String> indexOptions)`
    `static IndexMode` | `getMode(ColumnDefinition column, java.util.Optional<IndexMetadata> config)`
    `boolean` | `supports(Expression.Op operator)`
    `static void` | `validateAnalyzer(java.util.Map<java.lang.String,java.lang.String> indexOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOT_INDEXED

          public static final IndexMode NOT_INDEXED

    - #### mode

          public final OnDiskIndexBuilder.Mode mode

    - #### isAnalyzed

          public final boolean isAnalyzed

    - #### isLiteral

          public final boolean isLiteral

    - #### analyzerClass

          public final java.lang.Class analyzerClass

    - #### maxCompactionFlushMemoryInMb

          public final long maxCompactionFlushMemoryInMb

  - ### Method Detail

    - #### getAnalyzer

          public AbstractAnalyzer getAnalyzer(AbstractType<?> validator)

    - #### validateAnalyzer

          public static void validateAnalyzer(java.util.Map<java.lang.String,java.lang.String> indexOptions)
                                       throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getMode

          public static IndexMode getMode(ColumnDefinition column,
                                          java.util.Optional<IndexMetadata> config)
                                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getMode

          public static IndexMode getMode(ColumnDefinition column,
                                          java.util.Map<java.lang.String,java.lang.String> indexOptions)
                                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### supports

          public boolean supports(Expression.Op operator)

Copyright © 2018 The Apache Software Foundation